]> ruderich.org/simon Gitweb - config/dotfiles.git/blobdiff - setup.sh
use set -eu
[config/dotfiles.git] / setup.sh
index 81cca7656c7f01e28ce1b626ff18c33d045313e1..dc3a3417508f252cebe56a0f1f4762d3abc2e48f 100755 (executable)
--- a/setup.sh
+++ b/setup.sh
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 
+set -eu
+
 . ../lib.sh
 
-if [ x`os` = xdarwin ]; then
+
+if test x"`os`" = xdarwin; then
     # Sets a custom PATH for GUI applications.
     mkdir -p ~/.MacOSX
     link darwin/environment.plist ~/.MacOSX/environment.plist
 fi
-if [ x`os` = xdebian ]; then
+if test x"`os`" = xdebian; then
     # Necessary as aptitude rewrites the config file on every start.
-    generate cat debian/aptitude/config .real
+    generate debian/aptitude/config .in cat
     # aptitude/config uses // as comment instead of #.
-    sed -i 's|^#|//|' debian/aptitude/config
+    sed_i 's|^#|//|' debian/aptitude/config
 
     link debian/aptitude ~/.aptitude
-    link debian/reportbugrc ~/.reportbugrc
+    if installed reportbug; then
+        link debian/reportbugrc ~/.reportbugrc
+    fi
 fi